export default {
	inserted: (el, {value}) => {
		const tooltip = document.createElement('div')
		tooltip.style.position = 'fixed'
		tooltip.innerText = value
		tooltip.classList.add('tooltip')
		const arrow = document.createElement('div')
		arrow.classList.add('tooltip-arrow')
		arrow.style.position = 'fixed'

		el.addEventListener('mouseover', () => {
			const coords = el.getBoundingClientRect()
			document.body.appendChild(tooltip)
			const top = coords.top - tooltip.offsetHeight - 5
			const left = coords.left - (tooltip.offsetWidth / 2) + (el.offsetWidth / 2)
			tooltip.style.top = `${top}px`
			tooltip.style.left = `${coords.left}px`
			tooltip.style.left = `${left}px`
			arrow.style.left = `${left + (tooltip.offsetWidth / 2) - (arrow.offsetWidth / 2)}px`
			arrow.style.top = `${top + tooltip.offsetHeight}px`
			document.body.appendChild(arrow)

			tooltip.classList.add('visible')
			arrow.classList.add('visible')
		})

		el.addEventListener('mouseout', () => {
			tooltip.classList.remove('visible')
			arrow.classList.remove('visible')
		})
	},
	unbind: el => {
		console.log('unbind', el)
	},
}
